//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 3-1 #2
//
// Has three diffrent operations depending on the value of TYPE.
// - If TYPE is defined as 1, turns the green LED for 10 seconds the yellow
//   LED for 3 seconds and the red LED for 10 seconds.
// - If TYPE is defined as 2, turns the green LED for 10 seconds the yellow
//   LED for 3 seconds and the red LED for 5 seconds.
// - If TYPE is defined as 3, turns the green LED for 20 seconds the yellow
//   LED for 3 seconds and the red LED for 5 seconds.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define GREEN_LED PIN_C6
#define YELLOW_LED PIN_C4
#define RED_LED PIN_C3

#define TYPE 2

#if TYPE==1
   #define GREEN_TIME 10
   #define YELLOW_TIME 3
   #define RED_TIME 10
#elif TYPE==2
   #define GREEN_TIME 10
   #define YELLOW_TIME 3
   #define RED_TIME 5
#elif TYPE==3
   #define GREEN_TIME 20
   #define YELLOW_TIME 3
   #define RED_TIME 5
#endif                 

void main(void)   {
   
   // Turn off all LEDs
   output_low(GREEN_LED);
   output_low(YELLOW_LED);
   output_low(RED_LED);
   
   for(;;)
   {
      output_high(GREEN_LED);
      delay_ms(GREEN_TIME*1000);
      output_low(GREEN_LED);
      
      output_high(YELLOW_LED);
      delay_ms(YELLOW_TIME*1000);
      output_low(YELLOW_LED);
      
      output_high(RED_LED);
      delay_ms(RED_TIME*1000);
      output_low(RED_LED);
   }
}

